Subject: Re: bug#61011: ‘guix system vm’ spawns QEMU and hangs

From: Ludovic Courtès <[email-masked]>
Date: Mon, 23 Jan 2023 23:21:39 +0100

Hello,

Josselin Poiret <[email-masked]> skribis:

> Leo Famulari <[email-masked]> writes:
>
>> On Sun, Jan 22, 2023 at 10:36:21PM +0100, Ludovic Courtès wrote:
>>>   $(guix time-machine --commit=9923100a42ffa80f604c1c13a5e999e6a4c15146 \
>>>     -- system vm gnu/system/examples/bare-bones.tmpl) -m 1024  # Bad!
>>
>> I can reproduce.
>>
>> It seems to work fine without '-m 1024', in which case it only has 512
>> MB RAM.
>
> This is probably due to the following kernel bug [1], which could be
> related to the khugepaged hangs I'm getting on my system since 6.1.
>
> [1]
> https://lore.kernel.org/kvm/[email-masked]/ 

Ouch.  I’m running 6.1 since January 16th, which is about the time I
first experienced the issue.

Ludo’.